<section class="waze-jam-setting">
  <div class="main position-relative"
       style="left: -50%;">
    <span class="control">
      <span class="opt-is-timeslider d-flex align-items-center text-nowrap">
        Kepadatan Lalu Lintas:
        <select class="opt-jam-type form-select form-select-sm ms-1"
                aria-label=".form-select-sm example"
                (change)="toggleJamType($event.target.value)">
          <option value="realtime">realtime</option>
          <option value="past">seminggu terakhir</option>
        </select>
      </span>
      <span class="jam-legend">
        <span>1</span>
        <div class="level-legend mx-2">
          <span class="legend-box level-1 d-inline-block cursor-pointer"
                ngbTooltip="Kelancaran Jalan 80% - 61%"></span>
          <span class="legend-box level-2 d-inline-block cursor-pointer"
                ngbTooltip="Kelancaran Jalan 60% - 41%"></span>
          <span class="legend-box level-3 d-inline-block cursor-pointer"
                ngbTooltip="Kelancaran Jalan 40% - 21%"></span>
          <span class="legend-box level-4 d-inline-block cursor-pointer"
                ngbTooltip="Kelancaran Jalan 20% - 1%"></span>
          <span class="legend-box level-5 d-inline-block position-relative cursor-pointer"
                ngbTooltip="Penutupan Jalan">
            <span class="level-5-dotted d-inline-block"
                  style="left: 0"></span>
            <span class="level-5-dotted d-inline-block"
                  style="left: 30%"></span>
            <span class="level-5-dotted d-inline-block"
                  style="left: 60%;"></span>
          </span>
        </div>
        <span>5</span>
        <span class="ms-3 text-md align-middle cursor-pointer d-inline-block"
              style="font-size: 14px;min-width: 18px;"
              (click)="showHideLayer()">
          <fa-icon [icon]="isShowLayer ? icons.faEye : icons.faEyeSlash"
                   [ngbTooltip]="isShowLayer ? 'Sembunyikan' : 'Tampilkan'"></fa-icon>
        </span>
      </span>
    </span>
    <div class="d-flex justify-content-between border-top border-black"
         *ngIf="selectedJamType == 'past'">
      <div role="radiogroup"
           class="control-day">
        <div role="radiogroup">
          <button role="radio"
                  class="btn-day"
                  aria-checked="true"
                  aria-label="Minggu"
                  data-day_index="0"
                  [ngClass]="{'btn-day-selected': activeDayIndex === 0}"
                  (click)="toggleDay(0)">M</button>
          <button role="radio"
                  class="btn-day"
                  aria-checked="true"
                  aria-label="Senin"
                  data-day_index="0"
                  [ngClass]="{'btn-day-selected': activeDayIndex === 1}"
                  (click)="toggleDay(1)">S</button>
          <button role="radio"
                  class="btn-day"
                  aria-checked="true"
                  aria-label="Selasa"
                  data-day_index="0"
                  [ngClass]="{'btn-day-selected': activeDayIndex === 2}"
                  (click)="toggleDay(2)">S</button>
          <button role="radio"
                  class="btn-day"
                  aria-checked="true"
                  aria-label="Rabu"
                  data-day_index="0"
                  [ngClass]="{'btn-day-selected': activeDayIndex === 3}"
                  (click)="toggleDay(3)">R</button>
          <button role="radio"
                  class="btn-day"
                  aria-checked="true"
                  aria-label="Kamis"
                  data-day_index="0"
                  [ngClass]="{'btn-day-selected': activeDayIndex === 4}"
                  (click)="toggleDay(4)">K</button>
          <button role="radio"
                  class="btn-day"
                  aria-checked="true"
                  aria-label="Jumat"
                  data-day_index="0"
                  [ngClass]="{'btn-day-selected': activeDayIndex === 5}"
                  (click)="toggleDay(5)">J</button>
          <button role="radio"
                  class="btn-day"
                  aria-checked="true"
                  aria-label="Sabtu"
                  data-day_index="0"
                  [ngClass]="{'btn-day-selected': activeDayIndex === 6}"
                  (click)="toggleDay(6)">S</button>
        </div>
        <div class="date-label">{{ activeDayLabel }}, {{ activeTimeLabel }}</div>
      </div>
      <div class="control-time">
        <div class="custom-slider-transparency">
          <ng5-slider (valueChange)="toggleTime($event)"
                      [options]="optTime"
                      [(ngModel)]="valTime"></ng5-slider>
        </div>
        <div class="time-label">
          <div style="height: 10px;">
            <div class="time-label-tick"
                 style="left: 3%;"></div>
            <div class="time-label-tick time-label-tick-point"
                 style="left: 15%;"></div>
            <div class="time-label-tick"
                 style="left: 27%;"></div>
            <div class="time-label-tick time-label-tick-point"
                 style="left: 38%;"></div>
            <div class="time-label-tick"
                 style="left: 50%;"></div>
            <div class="time-label-tick time-label-tick-point"
                 style="left: 62%;"></div>
            <div class="time-label-tick"
                 style="left: 74%;"></div>
            <div class="time-label-tick time-label-tick-point"
                 style="left: 85%;"></div>
            <div class="time-label-tick"
                 style="left: 97%;"></div>
          </div>
          <div>
            <div></div>
            <div class="time-label-name"
                 style="left: 15%;">08.00</div>
            <div style="display: none;"></div>
            <div class="time-label-name"
                 style="left: 38%;">12.00</div>
            <div style="display: none;"></div>
            <div class="time-label-name"
                 style="left: 62%;">16.00</div>
            <div style="display: none;"></div>
            <div class="time-label-name"
                 style="left: 85%;">20.00</div>
            <div style="display: none;"></div>
          </div>
        </div>
      </div>
    </div>
  </div>
</section>